Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Missing Dependencies
icon4.gif  Missing Dependencies [message #976109] Thu, 08 November 2012 10:18 Go to next message
Nir Fishler is currently offline Nir Fishler
Messages: 5
Registered: July 2012
Junior Member
Hey Guys,

While trying to install TextUML package, I'm getting an error says I'm missing a few dependencies.

The error message I get is pretty messed up so I can't really figure out which plugin exactly I need to install in order to overcome it.

Cannot complete the install because one or more required items could not be found.
  Software being installed: TextUML Toolkit 1.8.0.201210140837 (com.abstratt.mdd.frontend.toolkit.feature.feature.group 1.8.0.201210140837)
  Missing requirement: MDD Core 1.8.0.201210140837 (com.abstratt.mdd.core 1.8.0.201210140837) requires 'bundle org.eclipse.uml2.uml.resources 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: CLI Plug-in 1.8.0.201210140837 (com.abstratt.mdd.frontend.cli 1.8.0.201210140837)
    To: bundle com.abstratt.mdd.frontend.core 0.0.0
  Cannot satisfy dependency:
    From: MDD Front-End Core 1.8.0.201210140837 (com.abstratt.mdd.frontend.core 1.8.0.201210140837)
    To: bundle com.abstratt.mdd.core 0.0.0
  Cannot satisfy dependency:
    From: MDD Front-end Core feature 1.8.0.201210140837 (com.abstratt.mdd.frontend.core.feature.feature.group 1.8.0.201210140837)
    To: com.abstratt.mdd.frontend.cli [1.8.0.201210140837]
  Cannot satisfy dependency:
    From: TextUML Toolkit 1.8.0.201210140837 (com.abstratt.mdd.frontend.toolkit.feature.feature.group 1.8.0.201210140837)
    To: com.abstratt.mdd.frontend.core.feature.feature.group [1.8.0.201210140837]


I have tried to google some of those lines, maybe I hit something useful but got none.


Thanks in advanced.

Nir.
Re: Missing Dependencies [message #976479 is a reply to message #976109] Thu, 08 November 2012 16:01 Go to previous messageGo to next message
Eclipse User
Hi,

It is all due to org.eclipse.uml2.uml.resources bundle3 not being found.

If you trace it down:

1) com.abstratt.mdd.frontend.toolkit.feature.feature.group
1.8.0.201210140837 needs
com.abstratt.mdd.frontend.core.feature.feature.group [1.8.0.201210140837]

2) com.abstratt.mdd.frontend.core.feature.feature.group
[1.8.0.201210140837] needs com.abstratt.mdd.frontend.cli
[1.8.0.201210140837]

3) com.abstratt.mdd.frontend.cli [1.8.0.201210140837] needs
com.abstratt.mdd.frontend.cli 1.8.0.20121014083

4) com.abstratt.mdd.frontend.cli 1.8.0.20121014083 needs
com.abstratt.mdd.core

5) com.abstratt.mdd.core needs org.eclipse.uml2.uml.resources <- Bingo!

Since uml2 is not found, (5) can't load, which is stopping (4) which is
stopping (3) which is stopping (2) which is finally stopping (1).

That is what "Missing Requirement" means. Without uml2 MDD Core can't
load, which means yada can't load, which means yada2 ...

On 11/8/2012 5:18 AM, Nir Fishler wrote:
> e org.eclipse.uml2.uml.resources

Rich
Re: Missing Dependencies [message #979924 is a reply to message #976479] Sun, 11 November 2012 07:25 Go to previous messageGo to next message
Nir Fishler is currently offline Nir Fishler
Messages: 5
Registered: July 2012
Junior Member
Thanks for clarifying it Rich.

I'm gonna try install the UML2 plugin and let you know the results.
Re: Missing Dependencies [message #979979 is a reply to message #979924] Sun, 11 November 2012 08:31 Go to previous message
Nir Fishler is currently offline Nir Fishler
Messages: 5
Registered: July 2012
Junior Member
Works like a charm!

Thanks again Rich.
Previous Topic:Update site project: invalid license agreement?
Next Topic:Incorrect Intro/Welcome behavior after move to 4.2
Goto Forum:
  


Current Time: Tue Sep 23 14:24:37 GMT 2014

Powered by FUDForum. Page generated in 0.01681 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software